Wrapup Category Config
You need the Manage Campaigns permission to manage Wrapup Category Config.
Wrapup Category Configs- Wrapup Category Configs ManageGET livechat/wrapupCategoryConfig- Get a single Wrapup Category ConfigPUT livechat/wrapupCategoryConfig- Update the Wrapup Category Config
Wrapup Category Groups- Wrapup Category Groups ManageGET livechat/wrapupCategoryGroups- Get the list of Wrapup Category GroupsGET livechat/wrapupCategoryGroups/{id}- Get a single Wrapup Category GroupPUT livechat/wrapupCategoryGroups/{id}- Update the Wrapup Category Group
Wrapup Category Options- Wrapup Category Options ManageGET livechat/wrapupCategoryOptions- Get the list of Wrapup Category OptionsGET livechat/wrapupCategoryOptions/{id}- Get a single Wrapup Category Option
Wrapup Category Config JSON Format
Wrapup Category Config is represented as simple flat JSON objects with the following keys:
| Name | Type | Description |
|---|---|---|
displayMode |
string | The mode that how wrap-ups are shown in agent console. Allowed values are "basic", "advanced". |
siteId |
integer | Id of the site which the wrap-up ctegory belongs to. |
Get a single Wrapup Category Config
GET livechat/wrapupCategoryConfig
-
Parameters:
No Parameters
-
Response:
-
Example
Sample Request:
curl https://api11.comm100.io/v4/livechat/wrapupCategoryConfig \
-X 'GET' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 200 OK
{
"displayMode": "basic",
"siteId": 1000000
}
Update the Wrapup Category Config
PUT livechat/wrapupCategoryConfig
-
Parameters:
| Name | Type | in | Required | Description |
|---|---|---|---|---|
displayMode |
string | body | no | The mode that how wrap-ups are shown in agent console. Allowed values are "basic", "advanced". |
wrapupCategoryGroups |
wrapupCategoryGroups[] | body | no | Reference to Wrapup Category Group. |
-
Response:
-
Example
Sample Request:
curl https://api11.comm100.io/v4/livechat/wrapupCategoryConfig \
-X 'PUT' \
-H 'Authorization: Bearer {access_token}' \
-H 'Content-Type: application/json' \
-D '{"displayMode":"basic","wrapupCategoryGroups":[{"name":"97D0D2AB-AF00-415D-9FEB-302386AC40FC","order":1,"siteId":10000,"wrapupCategoryOptions":[{"name":"Group101","order":0,"siteId":10000}]}]}'
Response:
HTTP/1.1 200 OK
{
"displayMode": "basic",
"siteId": 1000000
}
Wrapup Category Group JSON Format
Wrapup Category Group is represented as simple flat JSON objects with the following keys:
| Name | Type | Description |
|---|---|---|
id |
guid | Id of the wrap-up category group. |
name |
string | Name of the wrap-up category group. |
order |
integer | Order of the wrap-up category group. |
createdTime |
datetime | Created time of the wrap-up category group. |
siteId |
integer | Id of the site which the wrap-up category group belongs to. |
wrapupCategoryOptions |
wrapupCategoryOptions[] | Reference to Wrapup Category Option. |
Get the list of Wrapup Category Groups
GET livechat/wrapupCategoryGroups
-
Parameters:
| Name | Type | in | Required | Description |
|---|---|---|---|---|
include |
string | query | no | Allowed value is "wrapupCategoryOption". |
-
Response:
An array of Wrapup Category Group
-
Example
Sample Request:
curl https://api11.comm100.io/v4/livechat/wrapupCategoryGroups \
-X 'GET' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 200 OK
[
{
"id": "1AEAE8BA-F91D-414F-8AB9-5992AF564EFD",
"name": "97D0D2AB-AF00-415D-9FEB-302386AC40FC",
"order": 1,
"createdTime": "2021-04-07T06:05:28.98Z",
"siteId": 10000,
"wrapupCategoryOptions": [
{
"id": "e9e1379a-c478-4659-b1c5-04d3da5efddf",
"name": "Group101",
"groupId": "1245e3e2-6d42-466d-97b8-80579b4b8c2e",
"order": 0,
"siteId": 10000,
"description": ""
}
]
}
]
Get a single Wrapup Category Group
GET livechat/wrapupCategoryGroups/{id}
-
Parameters:
| Name | Type | in | Required | Description |
|---|---|---|---|---|
include |
string | query | no | Allowed value is "wrapupCategoryOption". |
-
Response:
-
Example
Sample Request:
curl https://api11.comm100.io/v4/livechat/wrapupCategoryGroups/1AEAE8BA-F91D-414F-8AB9-5992AF564EFD \
-X 'GET' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 200 OK
{
"id": "1AEAE8BA-F91D-414F-8AB9-5992AF564EFD",
"name": "97D0D2AB-AF00-415D-9FEB-302386AC40FC",
"order": 1,
"createdTime": "2021-04-07T06:05:28.98Z",
"siteId": 10000,
"wrapupCategoryOptions": [
{
"id": "e9e1379a-c478-4659-b1c5-04d3da5efddf",
"name": "Group101",
"groupId": "1245e3e2-6d42-466d-97b8-80579b4b8c2e",
"order": 0,
"siteId": 10000,
"description": ""
}
]
}
Update the Wrapup Category Group
PUT livechat/wrapupCategoryGroups/{id}
-
Parameters:
| Name | Type | in | Required | Description |
|---|---|---|---|---|
name |
string | body | no | Name of the wrap-up category group. |
order |
integer | body | no | Order of the wrap-up category group. |
siteId |
integer | body | no | Id of the site which the wrap-up category group belongs to. |
wrapupCategoryOptions |
wrapupCategoryOptions[] | body | no | Reference to Wrapup Category Option. |
-
Response:
-
Example
Sample Request:
curl https://api11.comm100.io/v4/livechat/wrapupCategoryGroups/1AEAE8BA-F91D-414F-8AB9-5992AF564EFD \
-X 'PUT' \
-H 'Authorization: Bearer {access_token}' \
-H 'Content-Type: application/json' \
-D '{"name":"97D0D2AB-AF00-415D-9FEB-302386AC40FC","order":1,"siteId":10000,"wrapupCategoryOptions":[{"name":"Group101","order":0,"siteId":10000}]}'
Response:
HTTP/1.1 200 OK
{
"id": "1AEAE8BA-F91D-414F-8AB9-5992AF564EFD",
"name": "97D0D2AB-AF00-415D-9FEB-302386AC40FC",
"order": 1,
"createdTime": "2021-04-07T06:05:28.98Z",
"siteId": 10000,
"wrapupCategoryOptions": [
{
"id": "e9e1379a-c478-4659-b1c5-04d3da5efddf",
"name": "Group101",
"groupId": "1245e3e2-6d42-466d-97b8-80579b4b8c2e",
"order": 0,
"siteId": 10000
}
]
}
Wrapup Category Option JSON Format
Wrapup Category Option is represented as simple flat JSON objects with the following keys:
| Name | Type | Description |
|---|---|---|
id |
guid | Id of the wrap-up category option. |
name |
string | Name of the wrap-up category option. |
description |
string | Description of the wrap-up category option. You can add a description to enhance the accuracy of the smart wrap-up feature. However, a description isn't necessary if the option's name clearly reflects its purpose. |
groupId |
guid | Id of the wrapup category group which the wrapup category option belongs to. |
order |
integer | Order of the wrapup category option. |
siteId |
integer | SiteId of the wrap-up category group which the wrapup category option belongs to. |
Get the list of Wrapup Category Options
GET livechat/wrapupCategoryOptions
-
Parameters:
No Parameters
-
Response:
An array of Wrapup Category Option
-
Example
Sample Request:
curl https://api11.comm100.io/v4/livechat/wrapupCategoryOptions \
-X 'GET' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 200 OK
[
{
"id": "e9e1379a-c478-4659-b1c5-04d3da5efddf",
"name": "Group101",
"groupId": "1245e3e2-6d42-466d-97b8-80579b4b8c2e",
"order": 0,
"siteId": 10000,
"description": ""
}
]
Get a single Wrapup Category Option
GET livechat/wrapupCategoryOptions/{id}
-
Parameters:
No Parameters
-
Response:
-
Example
Sample Request:
curl https://api11.comm100.io/v4/livechat/wrapupCategoryOptions/e9e1379a-c478-4659-b1c5-04d3da5efddf \
-X 'GET' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 200 OK
{
"id": "e9e1379a-c478-4659-b1c5-04d3da5efddf",
"name": "Group101",
"groupId": "1245e3e2-6d42-466d-97b8-80579b4b8c2e",
"order": 0,
"siteId": 10000,
"description": ""
}